#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-8QB2VuQcxj57nhpGR6Cih7
key:                  hOpenPGP-2.9.8-8QB2VuQcxj57nhpGR6Cih7
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  4f2400172a2eb4467511c8c403b6ca2f
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-8QB2VuQcxj57nhpGR6Cih7
depends:
    aeson-2.1.2.1-ACNZHhH4U2e67aZXZDgTOb
    asn1-encoding-0.9.6-AAtkw5TY9F8VurSKdIoeL
    attoparsec-0.14.4-IunVluIlg1j8NQqYaVddnF base-4.15.1.0
    base16-bytestring-1.0.2.0-BhRDuWK4BAQJZPnXghIxiI
    bifunctors-5.6-7ExhdSg0REnLa63iq3XbqI binary-0.8.8.0
    binary-conduit-1.3.1-KK3eVmUDb6K14Wc81VrxR4 bytestring-0.10.12.1
    bz2-1.0.1.0-Dba8ccvyv8F8kwneT6bGIO
    conduit-1.3.5-1YBIMUHDU3k7OdS6LcIVG6
    conduit-extra-1.3.6-2hVysS1I3xQIqkSMdbSHfN containers-0.6.4.1
    crypto-cipher-types-0.0.9-KWjc9vfsgOg2zA2BroK1gz
    cryptonite-0.30-H3ycXu8E6RPDhrXk13rlsD
    errors-2.3.0-F4rUJSCR8jkHhnELGOml9T
    hashable-1.4.3.0-ESEjVh9IF6l3kXlrvIyche
    incremental-parser-0.5.0.5-BBw2AnvSfFjCEsHuYDEFiC
    ixset-typed-0.5.1.0-ClXmZ7cPA0zIb8q4c0jjs3
    lens-5.2.3-A4jq1zRTTDpJs4RZBLF7I7
    memory-0.17.0-Ba80JGdi30PBt5EgUiQ1Tu
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-LbmEnjElACaEeKkV4b48A9
    network-uri-2.6.4.2-DMyN8FyoGQmvoWeJhHIV
    openpgp-asciiarmor-0.1.2-LMdClgDu1Re5XayBODpfUx
    prettyprinter-1.7.1-3BN5DqkhAKiEdjSMkhtuTG
    resourcet-1.2.6-AcTbVi243idAm7l1MmPjB0
    split-0.2.3.5-6PcQBXzjRHt6ws2QwSBw5c text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-J4eg8YowQRtEC3N7B7zfuy
    zlib-0.6.3.0-KGB6WSQ4p2xLPLJOOhe04c

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

